import express from 'express';
import config from '../../handlers/config.js';

// Route imports
import screensaver_Route from './screensaver.js';
import user_select_Route from './user_select.js';
import product_select_Route from './product_select.js';
import test_Route from './test.js';

// Router base is '/'
const Router = express.Router({ strict: false });

Router.route('/').get(screensaver_Route.get);
Router.route('/user_select').get(user_select_Route.get);
Router.route('/product_select').get(product_select_Route.get);

config.global.devmode && Router.route('/test').get(test_Route.get);

export default Router;
